Ubuntu

[regression] linux: 2.6.32-34.76 -proposed tracker

Reported by Steve Conklin on 2011-08-29
This bug report is a duplicate of:  Bug #849228: linux: 2.6.32-34.77 -proposed tracker. Edit Remove
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Canonical Kernel Team
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Prepare-package-ports-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Kees Cook
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-34.76 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-prepare-start:Monday, 29. August 2011 18:49 UTC
kernel-stable-Prepare-package-start:Monday, 29. August 2011 18:49 UTC
kernel-stable-prepare-end:Wednesday, 31. August 2011 02:51 UTC
kernel-stable-copy-to-proposed-start:Wednesday, 31. August 2011 02:51 UTC
kernel-stable-copy-to-proposed-end:Wednesday, 31. August 2011 08:31 UTC
kernel-stable-verification-start:Wednesday, 31. August 2011 08:31 UTC
kernel-stable-verification-end:Wednesday, 31. August 2011 12:31 UTC
kernel-stable-certification-start:Wednesday, 31. August 2011 12:31 UTC
kernel-stable-qa-start:Wednesday, 31. August 2011 12:31 UTC
kernel-stable-security-signoff-start:Wednesday, 31. August 2011 12:31 UTC
kernel-stable-Security-signoff-end:Wednesday, 31. August 2011 18:01 UTC
kernel-stable-Verification-testing-start:Wednesday, 31. August 2011 08:31 UTC
kernel-stable-Prepare-package-end:Wednesday, 31. August 2011 02:51 UTC
kernel-stable-Regression-testing-start:Wednesday, 31. August 2011 12:31 UTC
kernel-stable-Verification-testing-end:Wednesday, 31. August 2011 12:31 UTC
kernel-stable-Certification-testing-start:Wednesday, 31. August 2011 12:31 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 31. August 2011 08:31 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 31. August 2011 02:51 UTC
kernel-stable-Security-signoff-start:Wednesday, 31. August 2011 12:31 UTC
kernel-stable-Regression-testing-end:Wednesday, 07. September 2011 22:45 UTC
kernel-stable-phase:CopyToUpdates
kernel-stable-Promote-to-updates-start:Thursday, 08. September 2011 17:15 UTC
kernel-stable-phase-changed:Thursday, 08. September 2011 17:15 UTC
kernel-stable-Certification-testing-end:Thursday, 08. September 2011 17:15 UTC

Steve Conklin (sconklin) on 2011-08-29
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Changed in linux (Ubuntu Lucid):
status: New → Confirmed
Steve Conklin (sconklin) on 2011-08-30
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-fsl-imx51 - bug 837802
linux-mvl-dove - bug 837803
linux-ec2 - bug 837804

description: updated

Copied to -proposed

Changed in linux (Ubuntu):
status: In Progress → Invalid
description: updated
description: updated
description: updated
Kees Cook (kees) wrote :

Looks good, thanks.

description: updated
Steve Conklin (sconklin) on 2011-09-01
description: updated

Hardware Certification has begun testing this proposed kernel.

C de-Avillez (hggdh2) wrote :

No regressions noticed during tests. Tagging qa-testing-passed.

tags: added: qa-testing-passed
description: updated

Hardware Certification has completed testing on 106/115 systems. Report available:

http://people.canonical.com/~hwcert/sru-testing/wk36_2011/lucid-proposed.html

The six remaining systems are due to infrastructure issues.

tags: added: certification-testing-passed
description: updated
Steve Conklin (sconklin) on 2011-09-10
tags: added: verification-failed
Steve Conklin (sconklin) wrote :

A regression has been discovered which results in having to respin this kernel.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/843904

summary: - linux: 2.6.32-34.76 -proposed tracker
+ [regression] linux: 2.6.32-34.76 -proposed tracker

The promote-to-updates task was not set to one of the following states during the release test:
New, Confirmed, Fix Released,
promote-to-updates task was set to state Invalid
Further processing of this bug by Workflow Manager is halted.

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
Launchpad Janitor (janitor) wrote :
Download full text (16.9 KiB)

This bug was fixed in the package linux - 2.6.32-34.77

---------------
linux (2.6.32-34.77) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #849228

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: Remove BUG_ON from i915_gem_evict_something"
  * Revert "drm/i915: Periodically flush the active lists and requests"
  * Revert "drm/i915/evict: Ensure we completely cleanup on failure"
  * Revert "drm/i915: Maintain LRU order of inactive objects upon access by
    CPU (v2)"
  * Revert "drm/i915: Implement fair lru eviction across both rings. (v2)"
  * Revert "drm/i915: Move the eviction logic to its own file."
  * Revert "drm/i915: prepare for fair lru eviction"

linux (2.6.32-34.76) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #836914

  [ Upstream Kernel Changes ]

  * Revert "drm/nv50-nvc0: work around an evo channel hang that some people
    see"
  * Revert "eCryptfs: Handle failed metadata read in lookup"
  * Revert "tunnels: fix netns vs proto registration ordering"

linux (2.6.32-34.75) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #832332

  [ Upstream Kernel Changes ]

  * drm/i915: Remove BUG_ON from i915_gem_evict_something
    - LP: #828550

linux (2.6.32-34.74) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #828375

  [ Upstream Kernel Changes ]

  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020

linux (2.6.32-34.73) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #824148

  [ Tim Gardner ]

  * SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
    - LP: #805494
  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * tty: icount changeover for other main devices, CVE-2010-4076,
    CVE-2010-4077
    - LP: #720189
    - CVE-2010-4077
  * fs/partitions/efi.c: corrupted GUID partition tables can cause kernel
    oops
    - LP: #795418
    - CVE-2011-1577
  * ftrace: Only update the function code on write to filter files
    - LP: #802383
  * kmemleak: Do not return a pointer to an object that kmemleak did not
    get
    - LP: #802383
  * CPU hotplug, re-create sysfs directory and symlinks
    - LP: #802383
  * Fix memory leak in cpufreq_stat
    - LP: #802383
  * powerpc/kexec: Fix memory corruption from unallocated slaves
    - LP: #802383
  * powerpc/oprofile: Handle events that raise an exception without
    overflowing
    - LP: #802383
  * mtd: mtdconcat: fix NAND OOB write
    - LP: #802383
  * x86, 64-bit: Fix copy_[to/from]_user() checks for the userspace address
    limit
    - LP: #802383
  * ext3: Fix fs corruption when make_indexed_dir() fails
    - LP: #802383
  * jbd: Fix forever sleeping process in do_get_write_access()
    - LP: #802383
  * jbd: fix fsync() tid wraparound bug
    - LP: #802383
  * ext4: release page cache in ext4_mb_load_buddy error path
    - LP: #802383
  * Fix Ultrastor asm snippet
    - LP: #802383
  * x86, amd: Do not enable ARAT feature on AMD processors below family
    0x12
    - LP: #802383
  * x86, ...

Changed in linux (Ubuntu Lucid):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers